﻿@{
    ViewData["Title"] = "Jadwal Kegiatan Belajar Mengajar";
}
<style>
    span.select2 {
    z-index:10050;
}
</style>
<section class="section">
    <div class="section-header">
        <h1>Jadwal Kegiatan Belajar Mengajar</h1>
        <div class="section-header-breadcrumb">
            <div class="breadcrumb-item"><a href="#">Dashboard</a></div>
            <div class="breadcrumb-item"><a href="#">ELearning</a></div>
            <div class="breadcrumb-item active"><a href="#">Jadwal Kegiatan Belajar Mengajar</a></div>
        </div>
    </div>

    <div class="section-body" id="no-data">
        <div id="loading-data" style="text-align:center;">
            <div style="margin-top:150px;">
                <i class="fa fa-spinner fa-spin fa-4x"></i>
            </div>
        </div>
        <div id="empty-data" style="text-align:center;display:none;">
            <img src="~/assets/img/ilus-data.png" width="400px" class="img-fluid" />
                <div style="margin-top: -1px;">Ups! <span id="htmlEmptyData">Sepertinya tidak ada data, silahkan tambah baru</span></div>
        </div>
    </div>
    <div class="section-body" id="data" style="display:none;">

        <div class="card" id="ListData">
            <div class="card-body">
                <div class="table-responsive">
                    <table id="TabelData" class="table table-striped table-bordered table-hover nowrap" style="width:100%;">
                        <thead>
                            <tr>
                                <th>AKSI</th>
                                <th>ID</th>
                                <th>FOTO</th>
                                <th>GURU</th>
                                <th>KELAS</th>
                                <th>MAPEL</th>
                                <th>HARI</th>
                                <th>JAM</th>
                                <th>TANGGAL</th>
                            </tr>
                        </thead>
                        <tfoot>
                            <tr>
                                <th>AKSI</th>
                                <th>ID</th>
                                <th>FOTO</th>
                                <th>GURU</th>
                                <th>KELAS</th>
                                <th>MAPEL</th>
                                <th>HARI</th>
                                <th>JAM</th>
                                <th>TANGGAL</th>
                            </tr>
                        </tfoot>
                    </table>
                </div>
            </div>
        </div>

    </div>
</section>

<div class="modal fade" id="ModalInfo" role="dialog" tabindex="-1">
    <div class="modal-dialog modal-dialog-centered" role="document">
        <div class="modal-content">
            <div class="modal-body">
                <div class="row">
                    <div class="col-md-6 text-center">
                        <button type="button" class="btn btn-success btn-block" onclick="ModalUploadJadwal();">Upload Excel</button> 
                    </div>
                    <div class="col-md-6 text-center">
                        <button type="button" class="btn btn-primary btn-block" onclick="ModalJadwal(0,0);">Tambah Manual</button>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<div class="modal fade" id="ModalUploadJadwal" role="dialog" tabindex="-1">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title">Upload Jadwal</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
            </div>
            <div class="modal-body">
                <form id="FormJadwalUpload" class="form-horizontal" action="#" enctype="multipart/form-data">
                    <input type="hidden" id="IdKbm" name="IdKbm" class="form-control" />
                    <input type="hidden" id="IdKbmJadwal" name="IdKbmJadwal" class="form-control" />
                    <div class="form-group row">
                        <label class="col-sm-4 col-form-label">Masukan File</label>
                        <div class="col-sm-8">
                            <input type="file" class="form-control" name="FileExcel" id="FileExcel" />
                        </div>
                    </div>
                </form>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-dark" data-dismiss="modal">Tutup</button> 
                <button type="button" class="btn btn-primary" id="BtnProses" onclick="UpdateJadwalKbm();">Upload Sekarang</button>
            </div>
        </div>
    </div>
</div>

<div class="modal fade" id="ModalJadwal" role="dialog" tabindex="-1">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="JadwalModalLabel">Edit Jadwal KBM</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
            </div>
            <div class="modal-body">
                <form id="FormJadwal" class="form-horizontal" action="#" enctype="multipart/form-data">
                    <input type="hidden" id="IdKbm" name="IdKbm" class="form-control" />
                    <input type="hidden" id="IdKbmJadwal" name="IdKbmJadwal" class="form-control" />
                    <div class="form-group row">
                        <label class="col-sm-4 col-form-label">Unit</label>
                        <div class="col-sm-8">
                            <select class="form-control select2" style="width:100%" name="IdUnit" id="IdUnit"></select>
                        </div>
                    </div>
                    <div class="form-group row">
                        <label class="col-sm-4 col-form-label">Kelas</label>
                        <div class="col-sm-8">
                            <select class="form-control select2" style="width:100%" name="IdKelas" id="IdKelas"></select>
                        </div>
                    </div>
                    <div class="form-group row">
                        <label class="col-sm-4 col-form-label">Kelas Paralel</label>
                        <div class="col-sm-8">
                            <select class="form-control select2" style="width:100%" name="IdKelasParalel" id="IdKelasParalel"></select>
                        </div>
                    </div>
                    <div class="form-group row">
                        <label class="col-sm-4 col-form-label">Matapelajaran</label>
                        <div class="col-sm-8">
                            <select class="form-control select2" style="width:100%" name="IdMapel" id="IdMapel"></select>
                        </div>
                    </div>
                    <div class="form-group row">
                        <label class="col-sm-4 col-form-label">Pegawai</label>
                        <div class="col-sm-8">
                            <select class="form-control select2" style="width:100%" name="IdPegawai" id="IdPegawai"></select>
                        </div>
                    </div>
                    <div class="form-group row">
                        <label class="col-sm-4 col-form-label">Hari</label>
                        <div class="col-sm-8">
                            <select class="form-control" name="HariKe" id="HariKe">
                                <option value="1">Senin</option>
                                <option value="2">Selasa</option>
                                <option value="3">Rabu</option>
                                <option value="4">Kamis</option>
                                <option value="5">Jum'at</option>
                            </select>
                        </div>
                    </div>
                    @* <div class="form-group row">
                        <label class="col-sm-4 col-form-label">Tanggal</label>
                        <div class="col-sm-8">
                            <input type="text" class="form-control" name="Tanggal" id="Tanggal" data-toggle="datepicker" placeholder="dd-mm-yyyy" readonly/>
                        </div>
                    </div> *@
                    <div class="form-group row">
                        <label class="col-sm-4 col-form-label">Jam Mulai</label>
                        <div class="col-sm-8">
                            <input type="text" class="form-control clockpickers" name="JamMulai" id="JamMulai" data-placement="top" data-align="top" data-autoclose="true" />
                        </div>
                    </div>
                    <div class="form-group row">
                        <label class="col-sm-4 col-form-label">Jam Selesai</label>
                        <div class="col-sm-8">
                            <input type="text" class="form-control clockpickers" name="JamSelesai" id="JamSelesai" data-placement="top" data-align="top" data-autoclose="true" />
                        </div>
                    </div>
                    @* <div class="form-group row">
                        <label class="col-sm-4 col-form-label">Periode</label>
                        <div class="col-sm-8">
                            <select class="form-control" name="Periode" id="Periode">
                                <option value="1">1</option>
                                <option value="2">2</option>
                                <option value="3">3</option>
                                <option value="4">4</option>
                            </select>
                        </div>
                    </div> *@
                </form>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-dark" data-dismiss="modal">Tutup</button> 
                <button type="button" class="btn btn-primary" id="BtnProses" onclick="UpdateJadwalKbm();">Perbarui Data</button>
            </div>
        </div>
    </div>
</div>